/*
 * CC Bootloader - Hardware Abstraction Layer 
 *
 * Fergus Noble (c) 2011
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 */

#include "cc1111.h"

void setup_led() {
  // Setup LED and turn it off
#ifdef __USBEVAL
    P1DIR |= 2;
    P1_1 = 0;
#endif
#ifdef __M433LEDBOARD
    P1DIR |= 0xF0;
    P1_4 = 0;   // Red LED
    P1_5 = 0;   // Blue LED
    P1_6 = 0;   // White LED
    P1_7 = 0;   // Green LED
#endif
}

void led_on() {
#ifdef __USBEVAL
    P1_1 = 1;
#endif
#ifdef __M433LEDBOARD
    P1_4 = 1;
    P1_5 = 1;
    P1_6 = 1;
    P1_7 = 1;
#endif
}

void led_off() {
#ifdef __USBEVAL
    P1_1 = 0;
#endif
#ifdef __M433LEDBOARD
    P1_4 = 0;
    P1_5 = 0;
    P1_6 = 0;
    P1_7 = 0;
#endif
}

void usb_up() {
  // Bring up the USB link
	P1DIR |= 1;
	P1_0 = 1;
}

void usb_down() {
  // Bring down the USB link
  P1_0 = 0;
  P1DIR &= ~1;
}
